{% extends 'base_template.html' %}

{% block contenu %}
<script type="text/javascript">
  function deleteUser(user_id) {
    fetch(`/utilisateurs/${user_id}`, {
      method: 'DELETE',
      headers: {
        'Content-Type': 'application/json'
      }
    }).then(() => {
      document.getElementById(`card-user-${user_id}`).remove();
    });
  }
</script>

<h1>Utilisateurs enregistrés</h1>
<div class="row justify-content-start">
  {% for user in users %}
  <div class="col-auto my-3" id="card-user-{{ user.id }}">
    <div class="card" style="width: 18rem;">
      <div class="card-body">
        <h5 class="card-title">
          {{ user.fullname }}
        </h5>
        <h6 class="card-subtitle mb-2 text-body-secondary">@{{ user.username }}</h6>
        <p class="card-text">{{ user.bio | safe }}</p>

        {% if user.username != 'admin' and session.username == 'admin' %}
        <button class="btn btn-danger" onclick="deleteUser('{{ user.id }}');">Supprimer</button>
        {% endif %}
      </div>
    </div>
  </div>
  {% endfor %}
</div>

{% endblock %}